petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSStep

Steps one time step

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSStep(TS ts)

Collective on TS Many br

### Input Parameter

ts -the TS context obtained from TSCreate() Many br

Many br

### Notes

The public interface for the ODE/DAE solvers is TSSolve(), you should almost for sure be using that routine and not this routine. Many br

The hook set using TSSetPreStep() is called before each attempt to take the step. In general, the time step size may Many brbe changed due to adaptive error controller or solve failures. Note that steps may contain multiple stages. Many br

This may over-step the final time provided in TSSetDuration() depending on the time-step used. TSSolve() interpolates to exactly the Many brtime provided in TSSetDuration(). One can use TSInterpolate() to determine an interpolated solution within the final timestep. Many br

### Keywords

TS, timestep, solve

### See Also

TSCreate(), TSSetUp(), TSDestroy(), TSSolve(), TSSetPreStep(), TSSetPreStage(), TSSetPostStage(), TSInterpolate()

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex6.c.html